<mat-card>
    <mat-card-header>
        <mat-card-title class="title">اطلاعات کاربران
            <button mat-mini-fab color="primary" [routerLink]="['/user']">
        <mat-icon>undo</mat-icon>
      </button>

        </mat-card-title>
    </mat-card-header>
    <mat-card-content>
        <form #f="ngForm" (ngSubmit)="submit()">
            <div class="form-group">
                <mat-form-field>
                    <input type="text" matInput id="user-fname" placeholder="نام کاربر ..." [(ngModel)]="user.user_Fname" name="user_Fname" required #user_Fname="ngModel">
                </mat-form-field>

                <mat-form-field>
                    <input type="text" matInput id="user-lname" placeholder="نام خانوادگی کاربر ..." [(ngModel)]="user.user_Lname" name="user_Lname" required #user_Lname="ngModel">
                </mat-form-field>
            </div>

            <div class="form-group">
                <mat-form-field>
                    <input type="text" matInput id="username" placeholder="نام کاربری  ..." [(ngModel)]="user.username" name="username" required #Username="ngModel">
                </mat-form-field>

                <mat-form-field *ngIf="!user.user_ID">
                    <input type="text" matInput id="password" placeholder="کلمه عبور ..." [(ngModel)]="user.password" name="password" required #Password="ngModel">
                </mat-form-field>
            </div>

            <div class="form-group">
                <mat-form-field>
                    <mat-select placeholder="اداره مربوطه" id="office-id" name="office_ID" [(ngModel)]="user.office_ID" required #office_ID="ngModel">
                        <mat-option *ngFor="let o of offices" [value]="o.office_ID">{{o.office_Name+' '+ o.office_Code+' '}}</mat-option>
                    </mat-select>
                </mat-form-field>
                <mat-checkbox id="isActive" [(ngModel)]="user.isActive" name="isActive" #IsActive="ngModel">فعال</mat-checkbox>
            </div>
        </form>
        <div class="button-row">
            <button mat-raised-button color="primary" [disabled]="!f.valid" (click)="submit()" *ngIf="!user.user_ID">
        <mat-icon>add</mat-icon> افزودن
      </button>
            <button mat-raised-button color="warn" [disabled]="!f.valid" (click)="submit()" *ngIf="user.user_ID">
        <mat-icon>save</mat-icon> ویرایش
      </button>
            <button mat-raised-button color="accent" (click)="delete()" *ngIf="user.user_ID">
        <mat-icon>remove</mat-icon> حذف
      </button>
        </div>
    </mat-card-content>
</mat-card>